Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86106 - (evolution) specific message causes mail component failure
Summary: (evolution) specific message causes mail component failure
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gtkhtml
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-14 04:47 UTC by Warren Togami
Modified: 2007-04-18 16:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-05-16 21:03:08 UTC


Attachments (Terms of Use)
mbox message that triggers failure (deleted)
2003-03-14 04:47 UTC, Warren Togami
no flags Details

Description Warren Togami 2003-03-14 04:47:03 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030221

Description of problem:
http://bugzilla.ximian.com/show_bug.cgi?id=39714
Upstream report

The attached mbox message from amazon.com caused Evolution's mail component to
fail with this popup message:

The Evolution component that handles folders of type "mail" has
unexpectedly quit.  You will need to quit Evolution and restart in order to
access that data again.

After I quit Evolution, this message shows up in the terminal:

evolution-shell-WARNING **: Error changing interactive status of component
OAFIID:GNOME_Evolution_Mail_ShellComponent to FALSE --
IDL:omg.org/CORBA/COMM_FAILURE:1.0

I believe something in the attached mbox message is causing the HTML
renderer to crash.  When I view the message as source it does not crash the mail
component.

Steps to reproduce the problem:
1. View the attached mbox message.

Actual Results:
Crashes Evolution's mail component.

Expected Results:
Should work.

How often does this happen? 
Always

Version:
Red Hat Linux 8.0.94 beta (phoebe3)
evolution-1.2.2-3
gtkhtml-1.1.8-4

Comment 1 Warren Togami 2003-03-14 04:47:43 UTC
Created attachment 90594 [details]
mbox message that triggers failure

Comment 2 Warren Togami 2003-04-14 19:20:59 UTC
https://rhn.redhat.com/errata/RHSA-2003-126.html
Retested with gtkhtml-1.1.9-0.9 from Errata.  Evolution mail component still
crashes when attempting to read the above attached message.


Comment 3 Jeremy Katz 2003-05-16 21:03:08 UTC
Fixed with rawhide evolution


Note You need to log in before you can comment on or make changes to this bug.